# class GUIActivateEvent

###

Module | kparts
Namespace | KParts
Class | GUIActivateEvent
Inherits | KParts::Event

This event is sent to a Part when its GUI has been activated or deactivated. This is related to PartActivateEvent, but the difference is that GUIActivateEvent happens later (when the GUI is actually built), only for parts that have GUI elements, and only if using KParts.MainWindow.

See also KParts.Part.guiActivateEvent()

### methods

- GUIActivateEvent (activated)

  returns ctor

  Argument | Type | Default
  --- | --- | ---
  activated | bool |

- activated ( )

  returns bool

- test (event)

  returns bool
  static

  Argument | Type | Default
  --- | --- | ---
  event | QEvent |